Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.widgets
Class FontDialog

    java.lang.Object
      org.eclipse.swt.widgets.Dialog
          org.eclipse.swt.widgets.FontDialog

public class FontDialog
extends Dialog

Instances of this class allow the user to select a font from all available fonts in the system.

Styles:
  (none)
Events:
  (none)

IMPORTANT: This class is intended to be subclassed only within the SWT implementation.

Constructor Summary
`FontDialog(Shell parent)` Constructs a new instance of this class given only its parent.
`FontDialog(Shell parent, int style)` Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

Method Summary
`FontData` | `getFontData()` Deprecated. use #getFontList ()
`FontData[]` | `getFontList()` Returns a FontData set describing the font that was selected in the dialog, or null if none is available.
`RGB` | `getRGB()` Returns the currently selected color in the receiver.
`FontData` | `open()` Makes the dialog visible and brings it to the front of the display.
`void` | `setFontData(FontData fontData)` Deprecated. use #setFontList (FontData [])
`void` | `setFontList(FontData[] fontData)` Sets a set of FontData objects describing the font to be selected by default in the dialog, or null to let the platform choose one.
`void` | `setRGB(RGB rgb)` Sets the receiver's selected color to be the argument.

Methods inherited from class org.eclipse.swt.widgets.Dialog
`checkSubclass, getParent, getStyle, getText, setText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontDialog

    public FontDialog(Shell parent)

  Constructs a new instance of this class given only its parent.

Parameters:
  `parent` - a shell which will be the parent of the new instance
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the parent is null
  `SWTException` -
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
  - ERROR_INVALID_SUBCLASS - if this class is not an allowed subclass

### FontDialog

    public FontDialog(Shell parent,
                      int style)

  Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

  The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

Parameters:
  `parent` - a shell which will be the parent of the new instance
  `style` - the style of dialog to construct
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the parent is null
  `SWTException` -
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
  - ERROR_INVALID_SUBCLASS - if this class is not an allowed subclass

Method Detail

### getFontData

    public FontData getFontData()

  Deprecated. use #getFontList ()

  Returns a FontData object describing the font that was selected in the dialog, or null if none is available.

  Returns:
    the FontData for the selected font, or null

### getFontList

    public FontData[] getFontList()

  Returns a FontData set describing the font that was selected in the dialog, or null if none is available.

  Returns:
    the FontData for the selected font, or null
  Since:
    2.1.1

### getRGB

    public RGB getRGB()

  Returns the currently selected color in the receiver.

  Returns:
    the RGB value for the selected color, may be null
  Since:
    2.1
  See Also:
    `PaletteData.getRGBs()`

### open

    public FontData open()

  Makes the dialog visible and brings it to the front of the display.

  Returns:
    a FontData object describing the font that was selected, or null if the dialog was cancelled or an error occurred
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the dialog has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the dialog

### setFontData

    public void setFontData(FontData fontData)

  Deprecated. use #setFontList (FontData [])

  Sets a FontData object describing the font to be selected by default in the dialog, or null to let the platform choose one.

  Parameters:
    `fontData` - the FontData to use initially, or null

### setFontList

    public void setFontList(FontData[] fontData)

  Sets a set of FontData objects describing the font to be selected by default in the dialog, or null to let the platform choose one.

  Parameters:
    `fontData` - the set of FontData objects to use initially, or null
  Since:
    2.1.1

### setRGB

    public void setRGB(RGB rgb)

  Sets the receiver's selected color to be the argument.

  Parameters:
    `rgb` - the new RGB value for the selected color, may be null to let the platform to select a default when open() is called
  Since:
    2.1
  See Also:
    `PaletteData.getRGBs()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.